Create a Broadcast

This API allows you to create a Broadcast.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request POST \
     --url https://api-smartflo.tatateleservices.com/v1/broadcast \
     --header 'accept: application/json' \
     --header 'content-type: application/json'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Body Params)

The following parameter is required to create a broadcast:

Variable NameDescriptionData Type
name*Name for the broadcast.string
description*Description of the broadcast.string
phone_number_list*Unique ID of list of phone numbers to be used for broadcast.integer
destination*The destination where the call should land. eg: ivr|id, id: IVR's idstring
timeout*Time for which the call tries to connect to each number in the list. Minimum: 40string
concurrent_limit*Number of channels to be used for broadcast.string
retry_after_minutes*Time after which failed numbers are tried again.Array of int
caller_id_number*Caller ID that is showed to the called party.string
numberof retry*Maximum number of retry attempts allowed. Minimum: 0, Maximum: 5string
start_date_time*Date and time in which leads associated with broadcast are called.string
end_date_time*Date and time till which leads associated with broadcast are called.string
time_group*Unique ID of the time_group to be associated with broadcast.string
dialstatus*[1, 2, 3, 4, 5]Array of int
retry_dialstatus*[1, 3]Array of int

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
SuccessThe request success status, the possible values are: True (default) for success. False for failure.Boolean
MessageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Body Params
string
required

The name of the broadcast. For example, Campaign 1.

string
required

The description of the broadcast. For example, Details of campaign 1.

string
required

Unique ID of list of phone numbers to be used for broadcast.

string
required

The destination where the call should land. eg: ivr||ID.

string
required

Time for which the call tries to connect to each number in the list. Minimum: 40

string
required

Number of channels to be used for broadcast.

retry_after_minutes
array of integers
required

Time after which failed numbers are tried again.

retry_after_minutes*
string

Caller ID that is showed to the called party.

string

Maximum number of retry attempts allowed. Minimum: 0, Maximum: 5

string
required

The date and time in which leads associated with broadcast are called. The format is: yyyy-mm-dd hh:mm:ss (For example: 2019-12-02 00:00:00).

string
required

The date and time in which leads are associated with broadcast are called. The format is: yyyy-mm-dd hh:mm:ss (For example: 2019-12-02 00:02:00).

string
required

Unique ID of the time_group to be associated with broadcast.

dialstatus
array of integers
required

[1, 2, 3, 4, 5]

dialstatus*
retry_dialstatus
array of integers
required

[1, 3]

retry_dialstatus*
Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json